## org.gnu.gtk
Class HandleBox

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gtk.GtkObject
                  org.gnu.gtk.Widget
                      org.gnu.gtk.Container
                          org.gnu.gtk.Bin
                              org.gnu.gtk.HandleBox

public class HandleBox
extends Bin

The HandleBox widget allows a portion of the window to be "torn-off". It is a bin widget which displays its children and a handle that the user can drag to tear off a separate window containing the child widget. A thin ghost is drawn in the original location of the handlebox. By dragging the separate window back to its original location it can be reattached.

Constructor Summary
`HandleBox()` Create a new HandleBox object.
`HandleBox(org.gnu.glib.Handle handle)` Construct a HandleBox using a handle to a native resource.

Method Summary
`void` `addListener(HandleBoxListener listener)` Register an object to handle dialog events.
`java.lang.Class` `getEventListenerClass(java.lang.String signal)`
`EventType` `getEventType(java.lang.String signal)`
`static HandleBox` `getHandleBox(org.gnu.glib.Handle handle)` Internal static factory method to be used by Java-Gnome only.
`PositionType` `getHandlePosition()` Retrieves the handle position.
`ShadowType` `getShadowType()` Retrieves the shadow type used by this widget.
`PositionType` `getShapEdge()` Retrieves the snap edge of the widget.
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`void` `removeListener(HandleBoxListener listener)` Removes a listener
`void` `setHandlePosition(PositionType position)` Sets the side of the handle box where the handle is drawn.
`void` `setShadowType(ShadowType type)` Set the shadow type to be drawn around the border of the handle box.
`void` `setShapEdge(PositionType edge)` Sets the snap edge of the handle box.

Methods inherited from class org.gnu.gtk.Bin
`getChild`

Methods inherited from class org.gnu.gtk.Container
`add, addListener, getBorderWidth, getChildren, getResizeMode, remove, removeListener, resizeChildren, setBorderWidth, setResizeMode`

Methods inherited from class org.gnu.gtk.Widget

`activate, addAccelerator, addEvents, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, canActivateAccel, createContext, createLayout, draw, drawArea, drawArea, finish, getAccessible, getColormap, getContext, getData, getDisplay, getDragData, getExtensionEvents, getModifierStyle, getName, getParent, getParentWindow, getPointer, getRootWindow, getScreen, getSensitive, getStyle, getToplevel, getWidget, getWindow, grabDefault, grabFocus, hasFocus, hasScreen, hide, hideAll, highlight, highlight, intersect, isAncestor, makeWidget, modifyStyle, popColormap, pushColormap, realize, removeAccelerator, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, reparent, setBackgroundColor, setBaseColor, setColormap, setDoubleBuffered, setDragDestination, setDragIcon, setDragIconPixbuf, setDragIconStock, setDragSource, setEvents, setExtensionEvents, setFont, setForegroundColor, setMinimumSize, setName, setNoDragDestination, setNoDragSource, setSensitive, setTextColor, shapeCombineMask, show, showAll, unHighlight, unHighlight`

Methods inherited from class org.gnu.gtk.GtkObject
`destroy, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HandleBox

    public HandleBox()

  Create a new HandleBox object.

### HandleBox

    public HandleBox(org.gnu.glib.Handle handle)

  Construct a HandleBox using a handle to a native resource.

Method Detail

### getHandleBox

    public static HandleBox getHandleBox(org.gnu.glib.Handle handle)

  Internal static factory method to be used by Java-Gnome only.

### setShadowType

    public void setShadowType(ShadowType type)

  Set the shadow type to be drawn around the border of the handle box.

  Parameters:
    `type` - The ShadowType to use for the shadow.

### getShadowType

    public ShadowType getShadowType()

  Retrieves the shadow type used by this widget.

### setHandlePosition

    public void setHandlePosition(PositionType position)

  Sets the side of the handle box where the handle is drawn.

  Parameters:
    `position` - Defines the position of the handle.

### getHandlePosition

    public PositionType getHandlePosition()

  Retrieves the handle position.

### setShapEdge

    public void setShapEdge(PositionType edge)

  Sets the snap edge of the handle box. The snap edge is the edge of the detached child that must be aligned with the corresponding edge of the ghost left behind when the child was detached to reattach the torn-off window.

  Parameters:
    `edge` - The side for the snap edge.

### getShapEdge

    public PositionType getShapEdge()

  Retrieves the snap edge of the widget.

### addListener

    public void addListener(HandleBoxListener listener)

  Register an object to handle dialog events.

  See Also:
    `HandleBoxListener`

### removeListener

    public void removeListener(HandleBoxListener listener)

  Removes a listener

  See Also:
    `addListener(HandleBoxListener)`

### getEventListenerClass

    public java.lang.Class getEventListenerClass(java.lang.String signal)

  Overrides:
    `getEventListenerClass` in class `Container`

### getEventType

    public EventType getEventType(java.lang.String signal)

  Overrides:
    `getEventType` in class `Container`

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.